/* ========================================================================
   WarpMedia Skin definition header file by Leif Simmons & Henrik Djurner
   Revision 3, 2001-06-05
   (c) 2001, Software Developers Guild
======================================================================== */

#ifndef _SKIN_RC_H
#define _SKIN_RC_H

   #define Quadrant_UpperRight       1
   #define Quadrant_UpperLeft        2
   #define Quadrant_LowerLeft        3
   #define Quadrant_LowerRight       4

   // Constants for ResourceType member in Resource records...
   #define RT_Skin                    0x0001 // rt.h::SRT_Skin
   #define RT_Look                    0x0002 // rt.h::SRT_Look
   #define RT_Mode                    0x0003 // rt.h::SRT_Mode
   #define RT_CtrlGeneric             0x0004 // rt.h::SRT_CtrlGeneric
   #define RT_CtrlBitmap              0x0005 // rt.h::SRT_CtrlBitmap
   #define RT_CtrlPushButton          0x0006 // rt.h::SRT_CtrlPushButton
   #define RT_Ctrl2StateButton        0x0007 // rt.h::SRT_Ctrl2StateButton
   #define RT_CtrlSimpleSlider        0x0008 // rt.h::SRT_CtrlSimpleSlider
   #define RT_CtrlSlider              0x0009 // rt.h::SRT_CtrlSlider
   #define RT_2StateIndicator         0x000A // rt.h::SRT_2StateIndicator
   #define RT_3StateIndicator         0x000B // rt.h::SRT_3StateIndicator
   #define RT_Counter                 0x000C // rt.h::SRT_Counter
   #define RT_DigitFont               0x000D // rt.h::SRT_DigiFont
   #define RT_Scroll                  0x000E // rt.h::SRT_Scroll
   #define RT_LookSwitch              0x000F // rt.h::SRT_LookSwitch
   #define RT_StateIndicator          0x0010 // rt.h::SRT_StateIndicator
   #define RT_AnimatedBitmap          0x0011 // rt.h::SRT_AnimatedBitmap
   #define RT_ExternalBitmap          0x0012 // rt.h::SRT_ExternalBitmap
   #define RT_MultipleBitmaps         0x0013 // rt.h::SRT_MultipleBitmaps
   #define RT_SystemFont              0x0014 // rt.h::SRT_SystemFont
   #define RT_BitmapFont              0x0015 // rt.h::SRT_BitmapFont
   #define RT_MetaControl             0x0016 // rt.h::SRT_MetaControl

   // Logical control definitions for 2-state buttons
   #define LC_2SB_Play               0x0100 // A two state 'play' button
   #define LC_2SB_Stop               0x0101 // A two state 'stop' button
   #define LC_2SB_Pause              0x0102 // A two state 'pause' button
   #define LC_2SB_Loop               0x0103 // A two state 'loop' button
   #define LC_2SB_Random             0x0104 // A two state 'random' button
   #define LC_2SB_Rewind             0x0105 // A two state 'rewind' button
   #define LC_2SB_Forward            0x0106 // A two state 'fast forward' button
   #define LC_2SB_LookSwitch         0x0107 // A two state 'look switch' button

   // Logical control definitions for push buttons
   #define LC_PB_Play                0x0200 // A 'play' pushbutton
   #define LC_PB_Stop                0x0201 // A 'stop' pushbutton
   #define LC_PB_Pause               0x0202 // A 'pause' pushbutton
   #define LC_PB_Loop                0x0203 // A 'loop' pushbutton
   #define LC_PB_Random              0x0204 // A 'random' pushbutton
   #define LC_PB_Forward             0x0205 // A 'forward' pushbutton
   #define LC_PB_Rewind              0x0206 // A 'rewind' pushbutton
   #define LC_PB_Previous            0x0207 // A 'previous' pushbutton
   #define LC_PB_Next                0x0208 // A 'next' pushbutton
   #define LC_PB_Close               0x0209 // A 'close' pushbutton

   #define LC_PB_OpenPlaylist        0x020B // A 'open playlist' pushbutton
   #define LC_PB_Minimize            0x020C // A 'minimize' pushbutton
   #define LC_PB_LookSwitch          0x020D // A 'look switch' pushbutton
   #define LC_PB_LoadMedia           0x020E // A 'load media' pushbutton

   // Logical control definitions for counters
   #define LC_CNT_PlaylistProgress   0x0300 // A 'currently playing song/songs in playlist' counter
   #define LC_CNT_AudioBitrate       0x0301 // A 'audio stream bitrate' counter
   #define LC_CNT_AudioFrequency     0x0302 // A 'stream output' counter
   #define LC_CNT_TrackPosition      0x0303 // A 'track position' counter
   #define LC_CNT_TrackTimeRemaining 0x0304 // A 'track time remaining' counter

   // Logical control definitions for 2-state indicators
   #define LC_2SI_Stereo             0x0400 // A stereo indicator

   // Logical control definitions for 3-state indicators
   #define LC_3SI_MonoStereo         0x0500 // A 3-state version of the mono/stereo indicator

   // Logical control definitions for state indicators
   #define LC_SI_StereoMode          0x0550 // A StereoMode indicator

   // Logical control definitions for sliders
   #define LC_SL_Volume              0x0600 // A volume slider
   #define LC_SL_Seek                0x0601 // A seek slider
   #define LC_SL_Balance             0x0602 // A balance slider

   // Logical control definitions for scrolls
   #define LC_SCROLL_StreamInfo      0x0700 // A scroll control

   // Logical control definitions for other stuff
   #define LC_2SBI_AlwaysOnTop       0x0800 // AlwaysOnTop push/two-state button/indicator
   #define LC_NULL                   0x0000

   // The 'root' of skin definition resources...
   #define ID_StartOfSkin            0x2000
   #define ID_StartOfSkinXCWidget    0x3000
   #define ID_StartOfSkinWinAMP      0xF242

#endif
